UsersFetchedEvent (gCube User Selection Dialog Widget 1.0.0-SNAPSHOT API)
Date: 2013-11-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.widgets.userselection.client.events
Class UsersFetchedEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<UsersFetchedEventHandler>
              org.gcube.portlets.widgets.userselection.client.events.UsersFetchedEvent

    public class UsersFetchedEvent

extends com.google.gwt.event.shared.GwtEvent<UsersFetchedEventHandler>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<UsersFetchedEventHandler>` | `TYPE`

Constructor Summary
`UsersFetchedEvent(ArrayList<UserBean> usersToShow)`

Method Summary
`protected void` | `dispatch(UsersFetchedEventHandler handler)`
`com.google.gwt.event.shared.GwtEvent.Type<UsersFetchedEventHandler>` | `getAssociatedType()`
`ArrayList<UserBean>` | `getUsers()`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<UsersFetchedEventHandler> TYPE

Constructor Detail

### UsersFetchedEvent

    public UsersFetchedEvent(ArrayList<UserBean> usersToShow)

Method Detail

### getUsers

    public ArrayList<UserBean> getUsers()

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<UsersFetchedEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<UsersFetchedEventHandler>`

### dispatch

    protected void dispatch(UsersFetchedEventHandler handler)

  Specified by:
    `dispatch` in class `com.google.gwt.event.shared.GwtEvent<UsersFetchedEventHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.